VTK: vtkBarChartActor Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkBarChartActor Class Reference

create a bar chart from an array More...

`#include <vtkBarChartActor.h>`

Inheritance diagram for vtkBarChartActor:
[legend]
Collaboration diagram for vtkBarChartActor:
[legend]

## Public Member Functions
virtual void | SetInput (vtkDataObject *)
| Set the input to the bar chart actor. More...
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| Does this prop have some translucent polygonal geometry? More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Release any graphics resources that are being consumed by this actor. More...
virtual vtkDataObject * | GetInput ()
| Get the input data object to this actor. More...
virtual void | SetTitleVisibility (vtkTypeBool)
| Enable/Disable the display of a plot title. More...
virtual vtkTypeBool | GetTitleVisibility ()
| Enable/Disable the display of a plot title. More...
virtual void | TitleVisibilityOn ()
| Enable/Disable the display of a plot title. More...
virtual void | TitleVisibilityOff ()
| Enable/Disable the display of a plot title. More...
virtual void | SetTitle (const char *)
| Set/Get the title of the bar chart. More...
virtual char * | GetTitle ()
| Set/Get the title of the bar chart. More...
virtual void | SetTitleTextProperty (vtkTextProperty *p)
| Set/Get the title text property. More...
virtual vtkTextProperty * | GetTitleTextProperty ()
| Set/Get the title text property. More...
virtual void | SetLabelVisibility (vtkTypeBool)
| Enable/Disable the display of bar labels. More...
virtual vtkTypeBool | GetLabelVisibility ()
| Enable/Disable the display of bar labels. More...
virtual void | LabelVisibilityOn ()
| Enable/Disable the display of bar labels. More...
virtual void | LabelVisibilityOff ()
| Enable/Disable the display of bar labels. More...
virtual void | SetLabelTextProperty (vtkTextProperty *p)
| Set/Get the labels text property. More...
virtual vtkTextProperty * | GetLabelTextProperty ()
| Set/Get the labels text property. More...
void | SetBarColor (int i, double r, double g, double b)
| Specify colors for each bar. More...
void | SetBarColor (int i, const double color[3])
| Specify colors for each bar. More...
double * | GetBarColor (int i)
| Specify colors for each bar. More...
void | SetBarLabel (int i, const char *)
| Specify the names of each bar. More...
const char * | GetBarLabel (int i)
| Specify the names of each bar. More...
virtual void | SetYTitle (const char *)
| Specify the title of the y-axis. More...
virtual char * | GetYTitle ()
| Specify the title of the y-axis. More...
virtual void | SetLegendVisibility (vtkTypeBool)
| Enable/Disable the creation of a legend. More...
virtual vtkTypeBool | GetLegendVisibility ()
| Enable/Disable the creation of a legend. More...
virtual void | LegendVisibilityOn ()
| Enable/Disable the creation of a legend. More...
virtual void | LegendVisibilityOff ()
| Enable/Disable the creation of a legend. More...
virtual vtkLegendBoxActor * | GetLegendActor ()
| Retrieve handles to the legend box. More...
int | RenderOverlay (vtkViewport *) override
| Draw the bar plot. More...
int | RenderOpaqueGeometry (vtkViewport *) override
| Draw the bar plot. More...
int | RenderTranslucentPolygonalGeometry (vtkViewport *) override
| Draw the bar plot. More...
Public Member Functions inherited from vtkActor2D
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
vtkActor2D * | NewInstance () const
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| Does this prop have some translucent polygonal geometry? More...
vtkProperty2D * | GetProperty ()
| Returns this actor's vtkProperty2D. More...
virtual void | SetProperty (vtkProperty2D *)
| Set this vtkProp's vtkProperty2D. More...
void | SetDisplayPosition (int, int)
| Set the Prop2D's position in display coordinates. More...
vtkMTimeType | GetMTime () override
| Return this objects MTime. More...
void | GetActors2D (vtkPropCollection *pc) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkActor2D. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| Release any graphics resources that are being consumed by this actor. More...
virtual vtkCoordinate * | GetActualPositionCoordinate ()
| Return the actual vtkCoordinate reference that the mapper should use to position the actor. More...
virtual vtkCoordinate * | GetActualPosition2Coordinate ()
| Return the actual vtkCoordinate reference that the mapper should use to position the actor. More...
int | RenderOverlay (vtkViewport *viewport) override
| Support the standard render methods. More...
int | RenderOpaqueGeometry (vtkViewport *viewport) override
| Support the standard render methods. More...
int | RenderTranslucentPolygonalGeometry (vtkViewport *viewport) override
| Support the standard render methods. More...
virtual void | SetMapper (vtkMapper2D *mapper)
| Set/Get the vtkMapper2D which defines the data to be drawn. More...
virtual vtkMapper2D * | GetMapper ()
| Set/Get the vtkMapper2D which defines the data to be drawn. More...
virtual void | SetLayerNumber (int)
| Set/Get the layer number in the overlay planes into which to render. More...
virtual int | GetLayerNumber ()
| Set/Get the layer number in the overlay planes into which to render. More...
virtual vtkCoordinate * | GetPositionCoordinate ()
| Get the PositionCoordinate instance of vtkCoordinate. More...
virtual void | SetPosition (float x[2])
| Get the PositionCoordinate instance of vtkCoordinate. More...
virtual void | SetPosition (float x, float y)
| Get the PositionCoordinate instance of vtkCoordinate. More...
virtual float * | GetPosition ()
| Get the PositionCoordinate instance of vtkCoordinate. More...
virtual vtkCoordinate * | GetPosition2Coordinate ()
| Access the Position2 instance variable. More...
virtual void | SetPosition2 (float x[2])
| Access the Position2 instance variable. More...
virtual void | SetPosition2 (float x, float y)
| Access the Position2 instance variable. More...
virtual float * | GetPosition2 ()
| Access the Position2 instance variable. More...
void | SetWidth (double w)
| Set/Get the height and width of the Actor2D. More...
double | GetWidth ()
| Set/Get the height and width of the Actor2D. More...
void | SetHeight (double h)
| Set/Get the height and width of the Actor2D. More...
double | GetHeight ()
| Set/Get the height and width of the Actor2D. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | GetActors (vtkPropCollection *)
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
virtual void | GetVolumes (vtkPropCollection *)
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual double * | GetBounds ()
| Get the bounds for this Prop as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkBarChartActor * | New ()
| Instantiate this class. More...
Static Public Member Functions inherited from vtkActor2D
static vtkTypeBool | IsTypeOf (const char *type)
static vtkActor2D * | SafeDownCast (vtkObjectBase *o)
static vtkActor2D * | New ()
| Creates an actor2D with the following defaults: position (0,0) (coordinate system is viewport); at layer 0. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkBarChartActor ()
| ~vtkBarChartActor () override
Protected Member Functions inherited from vtkActor2D
| vtkActor2D ()
| ~vtkActor2D () override
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)
typedef vtkActor2D | Superclass
| Standard methods for type information and printing. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for type information and printing. More...
static vtkBarChartActor * | SafeDownCast (vtkObjectBase *o)
| Standard methods for type information and printing. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard methods for type information and printing. More...
vtkBarChartActor * | NewInstance () const
| Standard methods for type information and printing. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for type information and printing. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard methods for type information and printing. More...

## Additional Inherited Members
Public Types inherited from vtkActor2D
typedef vtkProp | Superclass
Public Types inherited from vtkProp
typedef vtkObject | Superclass
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkActor2D
vtkMapper2D * | Mapper
int | LayerNumber
vtkProperty2D * | Property
vtkCoordinate * | PositionCoordinate
vtkCoordinate * | Position2Coordinate
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

create a bar chart from an array

vtkBarChartActor generates a bar chart from an array of numbers defined in field data (a vtkDataObject). To use this class, you must specify an input data object. You'll probably also want to specify the position of the plot be setting the Position and Position2 instance variables, which define a rectangle in which the plot lies. There are also many other instance variables that control the look of the plot includes its title and legend.

Set the text property/attributes of the title and the labels through the vtkTextProperty objects associated with these components.

See also
  vtkParallelCoordinatesActor vtkXYPlotActor vtkSpiderPlotActor vtkPieChartActor

Online Examples:

Tests:
  vtkBarChartActor (Tests)

Definition at line 51 of file vtkBarChartActor.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkActor2D vtkBarChartActor::Superclass

Standard methods for type information and printing.

Definition at line 58 of file vtkBarChartActor.h.

## Constructor & Destructor Documentation

## ◆ vtkBarChartActor()

vtkBarChartActor::vtkBarChartActor | ( |  | ) |
| protected

## ◆ ~vtkBarChartActor()

vtkBarChartActor::~vtkBarChartActor | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkBarChartActor::IsTypeOf | ( | const char * | type | ) |
| static

Standard methods for type information and printing.

## ◆ IsA()

virtual vtkTypeBool vtkBarChartActor::IsA | ( | const char * | type | ) |
| virtual

Standard methods for type information and printing.

Reimplemented from vtkActor2D.

## ◆ SafeDownCast()

static vtkBarChartActor* vtkBarChartActor::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard methods for type information and printing.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkBarChartActor::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard methods for type information and printing.

Reimplemented from vtkActor2D.

## ◆ NewInstance()

vtkBarChartActor* vtkBarChartActor::NewInstance | ( |  | ) | const

Standard methods for type information and printing.

## ◆ PrintSelf()

void vtkBarChartActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard methods for type information and printing.

Reimplemented from vtkObject.

## ◆ New()

static vtkBarChartActor* vtkBarChartActor::New | ( |  | ) |
| static

Instantiate this class.

## ◆ SetInput()

virtual void vtkBarChartActor::SetInput | ( | vtkDataObject * |  | ) |
| virtual

Set the input to the bar chart actor.

## ◆ GetInput()

virtual vtkDataObject* vtkBarChartActor::GetInput | ( |  | ) |
| virtual

Get the input data object to this actor.

## ◆ SetTitleVisibility()

virtual void vtkBarChartActor::SetTitleVisibility | ( | vtkTypeBool |  | ) |
| virtual

Enable/Disable the display of a plot title.

## ◆ GetTitleVisibility()

virtual vtkTypeBool vtkBarChartActor::GetTitleVisibility | ( |  | ) |
| virtual

Enable/Disable the display of a plot title.

## ◆ TitleVisibilityOn()

virtual void vtkBarChartActor::TitleVisibilityOn | ( |  | ) |
| virtual

Enable/Disable the display of a plot title.

## ◆ TitleVisibilityOff()

virtual void vtkBarChartActor::TitleVisibilityOff | ( |  | ) |
| virtual

Enable/Disable the display of a plot title.

## ◆ SetTitle()

virtual void vtkBarChartActor::SetTitle | ( | const char * |  | ) |
| virtual

Set/Get the title of the bar chart.

## ◆ GetTitle()

virtual char* vtkBarChartActor::GetTitle | ( |  | ) |
| virtual

Set/Get the title of the bar chart.

## ◆ SetTitleTextProperty()

virtual void vtkBarChartActor::SetTitleTextProperty | ( | vtkTextProperty * | p | ) |
| virtual

Set/Get the title text property.

The property controls the appearance of the plot title.

## ◆ GetTitleTextProperty()

virtual vtkTextProperty* vtkBarChartActor::GetTitleTextProperty | ( |  | ) |
| virtual

Set/Get the title text property.

The property controls the appearance of the plot title.

## ◆ SetLabelVisibility()

virtual void vtkBarChartActor::SetLabelVisibility | ( | vtkTypeBool |  | ) |
| virtual

Enable/Disable the display of bar labels.

## ◆ GetLabelVisibility()

virtual vtkTypeBool vtkBarChartActor::GetLabelVisibility | ( |  | ) |
| virtual

Enable/Disable the display of bar labels.

## ◆ LabelVisibilityOn()

virtual void vtkBarChartActor::LabelVisibilityOn | ( |  | ) |
| virtual

Enable/Disable the display of bar labels.

## ◆ LabelVisibilityOff()

virtual void vtkBarChartActor::LabelVisibilityOff | ( |  | ) |
| virtual

Enable/Disable the display of bar labels.

## ◆ SetLabelTextProperty()

virtual void vtkBarChartActor::SetLabelTextProperty | ( | vtkTextProperty * | p | ) |
| virtual

Set/Get the labels text property.

This controls the appearance of all bar bar labels.

## ◆ GetLabelTextProperty()

virtual vtkTextProperty* vtkBarChartActor::GetLabelTextProperty | ( |  | ) |
| virtual

Set/Get the labels text property.

This controls the appearance of all bar bar labels.

## ◆ SetBarColor() [1/2]

void vtkBarChartActor::SetBarColor | ( | int | i,
|  | double | r,
|  | double | g,
|  | double | b
| ) |  |

Specify colors for each bar.

If not specified, they are automatically generated.

## ◆ SetBarColor() [2/2]

void vtkBarChartActor::SetBarColor | ( | int | i,
|  | const double | color[3]
| ) |  |
| inline

Specify colors for each bar.

If not specified, they are automatically generated.

Definition at line 129 of file vtkBarChartActor.h.

## ◆ GetBarColor()

double* vtkBarChartActor::GetBarColor | ( | int | i | ) |

Specify colors for each bar.

If not specified, they are automatically generated.

## ◆ SetBarLabel()

void vtkBarChartActor::SetBarLabel | ( | int | i,
|  | const char * |
| ) |  |

Specify the names of each bar.

If not specified, then an integer number is automatically generated.

## ◆ GetBarLabel()

const char* vtkBarChartActor::GetBarLabel | ( | int | i | ) |

Specify the names of each bar.

If not specified, then an integer number is automatically generated.

## ◆ SetYTitle()

virtual void vtkBarChartActor::SetYTitle | ( | const char * |  | ) |
| virtual

Specify the title of the y-axis.

## ◆ GetYTitle()

virtual char* vtkBarChartActor::GetYTitle | ( |  | ) |
| virtual

Specify the title of the y-axis.

## ◆ SetLegendVisibility()

virtual void vtkBarChartActor::SetLegendVisibility | ( | vtkTypeBool |  | ) |
| virtual

Enable/Disable the creation of a legend.

If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

## ◆ GetLegendVisibility()

virtual vtkTypeBool vtkBarChartActor::GetLegendVisibility | ( |  | ) |
| virtual

Enable/Disable the creation of a legend.

If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

## ◆ LegendVisibilityOn()

virtual void vtkBarChartActor::LegendVisibilityOn | ( |  | ) |
| virtual

Enable/Disable the creation of a legend.

If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

## ◆ LegendVisibilityOff()

virtual void vtkBarChartActor::LegendVisibilityOff | ( |  | ) |
| virtual

Enable/Disable the creation of a legend.

If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

## ◆ GetLegendActor()

virtual vtkLegendBoxActor* vtkBarChartActor::GetLegendActor | ( |  | ) |
| virtual

Retrieve handles to the legend box.

This is useful if you would like to manually control the legend appearance.

## ◆ RenderOverlay()

int vtkBarChartActor::RenderOverlay | ( | vtkViewport * |  | ) |
| overridevirtual

Draw the bar plot.

Reimplemented from vtkProp.

## ◆ RenderOpaqueGeometry()

int vtkBarChartActor::RenderOpaqueGeometry | ( | vtkViewport * |  | ) |
| overridevirtual

Draw the bar plot.

Reimplemented from vtkProp.

## ◆ RenderTranslucentPolygonalGeometry()

int vtkBarChartActor::RenderTranslucentPolygonalGeometry | ( | vtkViewport * |  | ) |
| inlineoverridevirtual

Draw the bar plot.

Reimplemented from vtkProp.

Definition at line 178 of file vtkBarChartActor.h.

## ◆ HasTranslucentPolygonalGeometry()

vtkTypeBool vtkBarChartActor::HasTranslucentPolygonalGeometry | ( |  | ) |
| overridevirtual

Does this prop have some translucent polygonal geometry?

Reimplemented from vtkProp.

## ◆ ReleaseGraphicsResources()

void vtkBarChartActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

Release any graphics resources that are being consumed by this actor.

The parameter window could be used to determine which graphic resources to release.

Reimplemented from vtkProp.

The documentation for this class was generated from the following file:

- Rendering/Annotation/vtkBarChartActor.h